Skip to main content
`Ctrl`+`K`

# PCJacobiGetRowl1Scale

Get scaling of off-diagonal elements summed into l1-norm diagonal

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCJacobiGetRowl1Scale(PC pc, PetscReal *scale)

Logically Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameter

- scale - scaling

## See Also

KSP: Linear System Solvers, `PCJACOBI`, `PCJacobiSetType()`, `PCJacobiSetRowl1Scale()`, `PCJacobiGetType()`

## Level

intermediate

## Location

src/ksp/pc/impls/jacobi/jacobi.c

## Implementations

PCJacobiGetRowl1Scale_Jacobi() in src/ksp/pc/impls/jacobi/jacobi.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages